> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reopen Enrollment

> Reopens a submitted enrollment to make changes.



## OpenAPI

````yaml post /enrollments/{public_id}/reopen
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /enrollments/{public_id}/reopen:
    post:
      tags:
        - enrollments
      description: Reopens a submitted enrollment to make changes.
      operationId: enrollments_reopen_create
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Enrollment'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    Enrollment:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        enrolled_plans:
          type: array
          items:
            $ref: '#/components/schemas/EnrollmentPlan'
        member:
          type: string
        reason:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/EnrollmentReadReasonEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        category:
          $ref: '#/components/schemas/EnrollmentCategoryEnum'
        effective_start:
          type: string
          format: date
        effective_end:
          type: string
          format: date
        status:
          $ref: '#/components/schemas/EnrollmentEventSyncStatusEnum'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        change_date:
          type: string
          format: date
          nullable: true
        coverage_waivers:
          type: array
          items:
            $ref: '#/components/schemas/CoverageWaiver'
        qualifying_life_event_documents:
          type: array
          items:
            type: string
        metadata:
          type: object
          additionalProperties:
            type: string
            maxLength: 500
          description: >-
            Up to 50 key-value pairs. Keys max 40 characters, values max 500
            characters. Set a value to empty string to remove a key. On PATCH,
            metadata is merged with existing values.
      required:
        - category
        - coverage_waivers
        - created_at
        - effective_end
        - effective_start
        - enrolled_plans
        - id
        - member
        - status
    EnrollmentPlan:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        enrollment:
          type: string
        plan:
          type: string
        premium:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          nullable: true
        employer_contribution:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          nullable: true
        member_contribution:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          nullable: true
        payroll_provider_external_id:
          type: string
          nullable: true
          maxLength: 255
        enrolled_dependents:
          type: array
          items:
            $ref: '#/components/schemas/EnrollmentDependent'
        primary_care_provider:
          $ref: '#/components/schemas/PrimaryCareProvider'
        effective_start:
          type: string
          format: date
        effective_end:
          type: string
          format: date
        volume:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          nullable: true
        requested_volume:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          nullable: true
        volume_approved_at:
          type: string
          format: date-time
          nullable: true
        eoi_dismissed_at:
          type: string
          format: date-time
          nullable: true
        eoi_status:
          type: string
          enum:
            - required
            - approved
            - dismissed
            - not_required
          nullable: true
          readOnly: true
      required:
        - effective_end
        - effective_start
        - enrolled_dependents
        - enrollment
        - id
        - plan
        - primary_care_provider
    EnrollmentReadReasonEnum:
      enum:
        - new_child
        - adopted_child
        - marriage
        - dependent_lost_coverage
        - dependent_gained_coverage
        - dependent_relocated_in_network
        - dependent_court_order
        - divorce
        - carrier_sync
        - domestic_partnership
        - relocated
        - lost_coverage
        - death
        - new_hire
        - terminated
        - rehire
        - leave_of_absence
        - open_enrollment
        - passive_open_enrollment
        - employment_change
        - dependent_employment_change
        - new_eligibility
        - gain_coverage
        - significant_plan_change
        - dependent_aged_out
        - citizenship_change
        - release_from_incarceration
        - tax_advantaged_contribution_change
      type: string
      description: >-
        * `new_child` - New Child

        * `adopted_child` - Adopted Child

        * `marriage` - Marriage

        * `dependent_lost_coverage` - Dependent Lost Coverage

        * `dependent_gained_coverage` - Dependent Gained Coverage

        * `dependent_relocated_in_network` - Dependent Relocated In Network

        * `dependent_court_order` - Dependent Court Order

        * `divorce` - Divorce

        * `domestic_partnership` - Domestic Partnership

        * `relocated` - Relocated

        * `lost_coverage` - Lost Coverage

        * `death` - Death

        * `new_hire` - New Hire

        * `terminated` - Terminated

        * `rehire` - Rehire

        * `leave_of_absence` - Leave Of Absence

        * `open_enrollment` - Open Enrollment

        * `passive_open_enrollment` - Passive Open Enrollment

        * `employment_change` - Employment Change

        * `dependent_employment_change` - Dependent Employment Change

        * `new_eligibility` - New Eligibility

        * `gain_coverage` - Gain Coverage

        * `significant_plan_change` - Significant Plan Change

        * `dependent_aged_out` - Dependent Aged Out

        * `citizenship_change` - Citizenship Change

        * `release_from_incarceration` - Release From Incarceration

        * `tax_advantaged_contribution_change` - Tax Advantaged Contribution
        Change
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    EnrollmentCategoryEnum:
      enum:
        - qle
        - open_enrollment
        - carrier_sync
      type: string
      description: |-
        * `qle` - Qle
        * `open_enrollment` - Open Enrollment
        * `carrier_sync` - Carrier Sync
    EnrollmentEventSyncStatusEnum:
      enum:
        - not_started
        - pending
        - approved
        - synced
        - cancelled
        - failed
      type: string
      description: |-
        * `not_started` - Not Started
        * `pending` - Pending
        * `approved` - Approved
        * `synced` - Synced
        * `cancelled` - Cancelled
        * `failed` - Failed
    CoverageWaiver:
      type: object
      properties:
        line_of_coverage:
          $ref: '#/components/schemas/LineOfCoverageEnum'
        reason:
          $ref: '#/components/schemas/CoverageWaiverReasonEnum'
        member:
          type: string
        dependent:
          type: string
      required:
        - dependent
        - line_of_coverage
        - member
        - reason
    EnrollmentDependent:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        plan:
          type: string
        dependent:
          type: string
        primary_care_provider:
          $ref: '#/components/schemas/PrimaryCareProvider'
        volume:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          nullable: true
        requested_volume:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          nullable: true
        volume_approved_at:
          type: string
          format: date-time
          nullable: true
        eoi_dismissed_at:
          type: string
          format: date-time
          nullable: true
        eoi_status:
          type: string
          enum:
            - required
            - approved
            - dismissed
            - not_required
          nullable: true
          readOnly: true
      required:
        - dependent
        - id
        - plan
        - primary_care_provider
    PrimaryCareProvider:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        full_name:
          type: string
          maxLength: 255
        is_existing_patient:
          type: boolean
        provider_id_number:
          type: string
          maxLength: 255
      required:
        - full_name
        - id
        - is_existing_patient
        - provider_id_number
    LineOfCoverageEnum:
      type: string
      enum:
        - accident
        - accidental_death
        - cancer
        - commuter_parking
        - commuter_transit
        - dental
        - dependent_care_fsa
        - healthcare_fsa
        - hospital_indemnity
        - hsa
        - life
        - limited_purpose_fsa
        - long_term_disability
        - lump_sum_disability
        - medical
        - short_term_disability
        - supplemental
        - telemedicine
        - vision
        - voluntary_critical_illness
        - voluntary_life
        - voluntary_accidental_death
        - voluntary_short_term_disability
      description: |-
        * `accident` - Accident
        * `accidental_death` - Accidental Death and Dismemberment
        * `cancer` - Cancer
        * `commuter_parking` - Commuter Parking
        * `commuter_transit` - Commuter Transit
        * `dental` - Dental
        * `dependent_care_fsa` - Dependent Care Flexible Spending Account
        * `healthcare_fsa` - Healthcare Flexible Spending Account
        * `hospital_indemnity` - Hospital Indemnity
        * `hsa` - Health Savings Account
        * `life` - Life
        * `limited_purpose_fsa` - Limited Purpose Flexible Spending Account
        * `long_term_disability` - Long Term Disability
        * `lump_sum_disability` - Lump Sum Disability
        * `medical` - Medical
        * `short_term_disability` - Short Term Disability
        * `supplemental` - Supplemental
        * `telemedicine` - Telemedicine
        * `vision` - Vision
        * `voluntary_critical_illness` - Voluntary Critical Illness
        * `voluntary_life` - Voluntary Life
        * `voluntary_accidental_death` - Voluntary Accidental Death
        * `voluntary_short_term_disability` - Voluntary Short Term Disability
    CoverageWaiverReasonEnum:
      enum:
        - covered_as_dependent
        - different_employer_coverage
        - other
        - medicare_coverage
        - medicaid_coverage
        - individual_policy_coverage
        - military_coverage
        - state_funded_plan_coverage
        - no_coverage
        - open_enrollment_no_participation
      type: string
      description: |-
        * `covered_as_dependent` - Covered As Dependent
        * `different_employer_coverage` - Different Employer Coverage
        * `other` - Other
        * `medicare_coverage` - Medicare Coverage
        * `medicaid_coverage` - Medicaid Coverage
        * `individual_policy_coverage` - Individual Policy Coverage
        * `military_coverage` - Military Coverage
        * `state_funded_plan_coverage` - State Funded Plan Coverage
        * `no_coverage` - No Coverage
        * `open_enrollment_no_participation` - Open Enrollment No Participation
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````